import org.apache.cactus.ServletTestCase;
import org.apache.cactus.WebRequest;

public class TestShoppingCartServlet extends ServletTestCase {

	    private ShoppingCartServlet servlet;

	    public TestShoppingCartServlet(String name) {
		        super(name);        
	    }

	    public void setUp() {
		        this.servlet = new ShoppingCartServlet();
	    }

	    public void beginAddItemToCart(WebRequest webRequest) {
		        webRequest.addParameter("operation", ShoppingCartServlet.INSERT_ITEM);
		        webRequest.addParameter("itemID", "12345");
	    }

	    public void testAddItemToCart() throws Exception {
		        this.servlet.doGet(this.request, this.response);
		        Object obj = this.session.getAttribute(ShoppingCartServlet.CART);
		        assertNotNull("Mal by by vytvoren nkupn kok.", obj);
		        assertTrue("Kok by mal by intanciou triedy ShopCart", obj instanceof ShopCart);
		        ShopCart cart = (ShopCart) obj;
		        Item item = cart.getItem("12345");
		        assertNotNull("Mala by existova poloka 12345", item);
	    }
}